## Features

### Customize Your README

Let's begin by exploring various customization options and styles supported by ReadmeAI:

<div align="left">
  <h6>Header Styles</h6>
  <table>
    <!-- HEADER STYLES: CLASSIC -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/documentation/headers/variations/custom-dragon.png?raw=true"
             alt="Classic Header"
             width="800"
             style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/eli64s/readme-ai-streamlit \
          &emsp13;--logo custom \
          &emsp13;--badge-color FF4B4B \
          &emsp13;--badge-style flat-square \
          &emsp13;--header-style classic
          </code>
        </pre>
      </td>
    </tr>
    <!-- HEADER STYLES: MODERN -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/documentation/headers/variations/modern-for-the-badge.png?raw=true"
             alt="Modern Header"
             width="800"
             style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/olliefr/docker-gs-ping \
          &emsp13;--badge-color 00ADD8 \
          &emsp13;--badge-style for-the-badge \
          &emsp13;--header-style modern \
          &emsp13;--navigation-style roman
          </code>
        </pre>
      </td>
    </tr>
    <!-- HEADER STYLES: COMPACT -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/examples/styling/headers/compact.png?raw=true"
          alt="Compact Header"
          width="800"
          style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/rumaan/file.io-Android-Client \
          &emsp13;--badge-style plastic \
          &emsp13;--badge-color blueviolet \
          &emsp13;--logo PURPLE \
          &emsp13;--header-style COMPACT \
          &emsp13;--navigation-style NUMBER \
          &emsp13;--emojis solar
          </code>
        </pre>
      </td>
    </tr>
  </table>

  <!-- HEADER STYLES: BANNERS -->
  <h3>Banner Styles</h3>
  <table>
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/examples/styling/headers/console.png?raw=true"
          alt="Console Header"
          width="800"
          style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/emcf/thepipe \
          &emsp13;--badge-style flat-square \
          &emsp13;--badge-color 8a2be2 \
          &emsp13;--header-style console \
          &emsp13;--navigation-style accordion \
          &emsp13;--emojis water
          </code>
        </pre>
      </td>
    </tr>
    <!-- HEADER STYLES: SVG BANNER -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/examples/styling/headers/svg-banner.png?raw=true"
          alt="SVG Banner"
          width="800"
          style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/FerrariDG/async-ml-inference \
          &emsp13;--badge-style plastic \
          &emsp13;--badge-color 43a047 \
          &emsp13;--header-style BANNER
          </code>
        </pre>
      </td>
    </tr>
  </table>

  <!-- ADDITIONAL STYLES -->
  <h3>And More!</h3>
  <table>
    <tr>
      <td align="left" style="padding: 20px;">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/project-overview/introduction.png?raw=true"
            alt="Project Overview"
            width="800"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository 'https://github.com/eli64sreadme-ai-streamlit' \
          &emsp13;--badge-style FLAT-SQUARE \
          &emsp13;--badge-color E92063 \
          &emsp13;--header-style COMPACT \
          &emsp13;--navigation-style ACCORDION \
          &emsp13;--emojis RAINBOW \
          &emsp13;--logo ICE
          </code>
        </pre>
      </td>
    </tr>
    <!-- -->
    <tr>
      <td align="left" style="padding: 20px;">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/documentation/headers/variations/cloud.png?raw=true"
            alt="Custom Logo"
            width="800"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/jwills/buenavista \
          &emsp13;--align LEFT \
          &emsp13;--badge-style FLAT-SQUARE \
          &emsp13;--logo CUSTOM
          </code>
        </pre>
      </td>
    </tr>
  </table>

  <!-- -->
  <!-- <table>
    <tr>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/main/docs/docs/assets/img/headers/custom-balloon.png"
            alt="balloon-logo"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/eli64s/readme-ai-streamlit \
          &emsp13;--badge-style flat \
          &emsp13;--logo custom</code></pre>
        <pre align="left" style="margin-top: 10px;"><code>$ Provide an image file path or URL: \
          &emsp13;https://www.svgrepo.com/show/395851/balloon.svg</code></pre>
      </td>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/main/docs/docs/assets/img/headers/skill-icons-light.png"
            alt="skill-icons"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/FerrariDG/async-ml-inference \
          &emsp13;--badge-style skills-light \
          &emsp13;--logo grey</code></pre>
      </td>
    </tr>
  </table>

  <table>
    <tr>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/main/docs/docs/assets/img/headers/compact.png"
            alt="compact-header"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/eli64s/readme-ai \
          &emsp13;--logo cloud \
          &emsp13;--header-style compact \
          &emsp13;--navigation-style fold</code></pre>
      </td>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/refs/heads/main/docs/docs/assets/img/headers/modern-flat-square.png"
            alt="modern-style"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/eli64s/readme-ai \
          &emsp13;-i custom \
          &emsp13;-bc BA0098 \
          &emsp13;-bs flat-square \
          &emsp13;-hs modern \
          &emsp13;-ns fold</code></pre>
      </td>
    </tr>
  </table> -->
</div>

### Generated Sections & Content

<details><summary><strong>꩜ Expand to view more!</strong></summary><br>

| <h3>Project Introduction</h3> <ul><li>This section captures your project's essence and value proposition. </li><li>The prompt template used to generate this section can be viewed [here][prompts.toml]. </li></ul> |
| :--- |
| ![][project-overview] |

| <h3>Features Table</h3> <ul><li>Detailed feature breakdown and technical capabilities. </li><li> The prompt template used to generate this section can be viewed [here][prompts.toml]. </li></ul> |
| :--- |
| ![][features-table] |

| <h3>Project Structure</h3> <ul><li>Visual representation of your project's directory structure. </li><li>The tree is generated using [pure Python][tree.py] and embedded in a code block. </li></ul> |
| :--- |
| ![][project-structure] |
| <h3>Project Index</h3> <ul><li>Summarizes key modules of the project, which are also used as context for downstream [prompts.toml][prompts.toml]. </li></ul> |
| ![][project-index] |

| <h3>Getting Started Guides</h3> <ul><li>Dependencies and system requirements are extracted from the codebase during preprocessing. </li><li>The [parsers][readmeai.parsers] handle most of the heavy lifting here. </li></ul> |
| :--- |
| ![][installation-steps] |
| <h3>Installation, Usage, & Testing</h3> <ul><li>Setup instructions and usage guides are automatically created based on data extracted from the codebase. </li></ul> |
| ![][usage-guides] |

| <h3>Community & Support</h3> <ul><li>Development roadmap, contribution guidelines, license information, and community resources. </li><li>A <em>return button</em> is also included for easy navigation. </li></ul> |
| :--- |
| ![][community-and-support] |
| <h3>Contribution Guides</h3> <ul><li>Instructions for contributing to the project, including resource links and a basic contribution guide. </li><li>Graph of contributors is also included for open-source projects. </li></ul> |
| ![][contributing-guidelines] |

</details>

<img src="https://raw.githubusercontent.com/eli64s/readme-ai/eb2a0b4778c633911303f3c00f87874f398b5180/docs/docs/assets/svg/line-gradient.svg" alt="line break" width="100%" height="3px">

---

<!-- REFERENCE LINKS -->
[community-and-support]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/community/community-and-support.png?raw=true
[contributing-guidelines]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/community/contributing-guidelines.png?raw=true
[features-table]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/features/features.png?raw=true
[installation-steps]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/getting-started/installation-steps.png?raw=true
[project-index]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/project-structure/project-index.png?raw=true
[project-overview]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/project-overview/introduction.png?raw=true
[project-structure]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/project-structure/project-structure.png?raw=true
[prompts.toml]: https://github.com/eli64s/readme-ai/blob/main/readmeai/config/settings/prompts.toml
[readmeai.parsers]: https://github.com/eli64s/readme-ai/tree/main/readmeai/parsers
[tree.py]: https://github.com/eli64s/readme-ai/blob/main/readmeai/generators/tree.py
[usage-guides]: https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/getting-started/usage-guides.png?raw=true
