### Customize Your README

Let's begin by exploring various customization options and styles supported by ReadmeAI:

<div align="left">
  <h6>Header Styles</h6>
  <table>
    <!-- HEADER STYLES: CLASSIC -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/documentation/headers/variations/custom-dragon.png?raw=true"
             alt="Classic Header"
             width="800"
             style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/eli64s/readme-ai-streamlit \
          &emsp13;--logo custom \
          &emsp13;--badge-color FF4B4B \
          &emsp13;--badge-style flat-square \
          &emsp13;--header-style classic
          </code>
        </pre>
      </td>
    </tr>
    <!-- HEADER STYLES: MODERN -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/documentation/headers/variations/modern-for-the-badge.png?raw=true"
             alt="Modern Header"
             width="800"
             style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/olliefr/docker-gs-ping \
          &emsp13;--badge-color 00ADD8 \
          &emsp13;--badge-style for-the-badge \
          &emsp13;--header-style modern \
          &emsp13;--navigation-style roman
          </code>
        </pre>
      </td>
    </tr>
    <!-- HEADER STYLES: COMPACT -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/examples/styling/headers/compact.png?raw=true"
          alt="Compact Header"
          width="800"
          style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/rumaan/file.io-Android-Client \
          &emsp13;--badge-style plastic \
          &emsp13;--badge-color blueviolet \
          &emsp13;--logo PURPLE \
          &emsp13;--header-style COMPACT \
          &emsp13;--navigation-style NUMBER \
          &emsp13;--emojis solar
          </code>
        </pre>
      </td>
    </tr>
  </table>

  <!-- HEADER STYLES: BANNERS -->
  <h3>Banner Styles</h3>
  <table>
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/examples/styling/headers/console.png?raw=true"
          alt="Console Header"
          width="800"
          style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/emcf/thepipe \
          &emsp13;--badge-style flat-square \
          &emsp13;--badge-color 8a2be2 \
          &emsp13;--header-style console \
          &emsp13;--navigation-style accordion \
          &emsp13;--emojis water
          </code>
        </pre>
      </td>
    </tr>
    <!-- HEADER STYLES: SVG BANNER -->
    <tr>
      <td align="left">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/examples/styling/headers/svg-banner.png?raw=true"
          alt="SVG Banner"
          width="800"
          style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px;">
        <p align="left"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/FerrariDG/async-ml-inference \
          &emsp13;--badge-style plastic \
          &emsp13;--badge-color 43a047 \
          &emsp13;--header-style BANNER
          </code>
        </pre>
      </td>
    </tr>
  </table>

  <!-- ADDITIONAL STYLES -->
  <h3>And More!</h3>
  <table>
    <tr>
      <td align="left" style="padding: 20px;">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/project-overview/introduction.png?raw=true"
            alt="Project Overview"
            width="800"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository 'https://github.com/eli64sreadme-ai-streamlit' \
          &emsp13;--badge-style FLAT-SQUARE \
          &emsp13;--badge-color E92063 \
          &emsp13;--header-style COMPACT \
          &emsp13;--navigation-style ACCORDION \
          &emsp13;--emojis RAINBOW \
          &emsp13;--logo ICE
          </code>
        </pre>
      </td>
    </tr>
    <!-- -->
    <tr>
      <td align="left" style="padding: 20px;">
        <img src="https://github.com/eli64s/readme-ai/blob/main/docs/docs/assets/img/documentation/headers/variations/cloud.png?raw=true"
            alt="Custom Logo"
            width="800"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left">
          <code>$ readmeai --repository https://github.com/jwills/buenavista \
          &emsp13;--align LEFT \
          &emsp13;--badge-style FLAT-SQUARE \
          &emsp13;--logo CUSTOM
          </code>
        </pre>
      </td>
    </tr>
  </table>

  <!-- -->
  <!-- <table>
    <tr>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/main/docs/docs/assets/img/headers/custom-balloon.png"
            alt="balloon-logo"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/eli64s/readme-ai-streamlit \
          &emsp13;--badge-style flat \
          &emsp13;--logo custom</code></pre>
        <pre align="left" style="margin-top: 10px;"><code>$ Provide an image file path or URL: \
          &emsp13;https://www.svgrepo.com/show/395851/balloon.svg</code></pre>
      </td>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/main/docs/docs/assets/img/headers/skill-icons-light.png"
            alt="skill-icons"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/FerrariDG/async-ml-inference \
          &emsp13;--badge-style skills-light \
          &emsp13;--logo grey</code></pre>
      </td>
    </tr>
  </table>

  <table>
    <tr>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/main/docs/docs/assets/img/headers/compact.png"
            alt="compact-header"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/eli64s/readme-ai \
          &emsp13;--logo cloud \
          &emsp13;--header-style compact \
          &emsp13;--navigation-style fold</code></pre>
      </td>
      <td align="left" width="50%" style="padding: 20px;">
        <img src="https://raw.githubusercontent.com/eli64s/readme-ai/refs/heads/main/docs/docs/assets/img/headers/modern-flat-square.png"
            alt="modern-style"
            width="100%"
            style="border: 1px solid #E7E9EB; border-radius: 5px; padding: 5px; margin-bottom: 15px;">
        <p align="left" style="margin: 10px 0;"><b>CLI Command:</b></p>
        <pre align="left"><code>$ readmeai --repository https://github.com/eli64s/readme-ai \
          &emsp13;-i custom \
          &emsp13;-bc BA0098 \
          &emsp13;-bs flat-square \
          &emsp13;-hs modern \
          &emsp13;-ns fold</code></pre>
      </td>
    </tr>
  </table> -->
</div>

---
