## Example Gallery

This gallery showcases a diverse collection of README examples generated across various programming languages, frameworks, and project types.

| Tech                | Repository              | README                 | Project Description        |
|:--------------------|:------------------------|:-----------------------|:---------------------------|
| Python              | [README-Python.md]      | [readmeai]             | ReadmeAI's core project    |
| Apache Flink        | [README-Flink.md]       | [pyflink-poc]          | PyFlink proof of concept   |
| Streamlit           | [README-Streamlit.md]   | [readmeai-streamlit]   | Web application interface  |
| Vercel & NPM        | [README-Vercel.md]      | [github-readme-quotes] | Deployment showcase        |
| Go & Docker         | [README-DockerGo.md]    | [docker-gs-ping]       | Containerized Golang app   |
| FastAPI & Redis     | [README-FastAPI.md]     | [async-ml-inference]   | ML inference service       |
| Java                | [README-Java.md]        | [minimal-todo]         | Minimalist To-Do app       |
| PostgreSQL & DuckDB | [README-PostgreSQL.md]  | [buenavista]           | Database proxy server      |
| Kotlin              | [README-Kotlin.md]      | [android-client]       | Mobile client application  |
| Offline Mode        | [README-Offline.md] | [litellm]              | Offline functionality demo |

### Community Contribution

#### Share Your README Files

We invite developers to share their generated README files in our [Show & Tell][show-and-tell] discussion category. Your contributions help:

- Showcase diverse documentation styles
- Provide real-world examples
- Help improve the ReadmeAI tool

Find additional README examples in our [examples directory][examples-directory] on GitHub.

<img src="https://raw.githubusercontent.com/eli64s/readme-ai/eb2a0b4778c633911303f3c00f87874f398b5180/docs/docs/assets/svg/line-gradient.svg" alt="line break" width="100%" height="3px">

---

<!-- REFERENCE LINKS -->
[README-DockerGo.md]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-docker-go.md
[README-FastAPI.md]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-fastapi-redis.md
[README-Flink.md]: https://github.com/eli64s/readme-ai/blob/main/examples/headers/modern.md
[README-Java.md]: https://github.com/eli64s/readme-ai/blob/main/examples/headers/compact.md
[README-Kotlin.md]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-kotlin.md
[README-Offline.md]: https://github.com/eli64s/readme-ai/blob/main/examples/offline-mode/readme-litellm.md
[README-PostgreSQL.md]: https://github.com/eli64s/readme-ai/blob/main/examples/headers/classic.md
[README-Python.md]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-ai.md
[README-Streamlit.md]: https://github.com/eli64s/readme-ai/blob/main/examples/banners/svg-banner.md
[README-Vercel.md]: https://github.com/eli64s/readme-ai/blob/main/examples/logos/dalle.md
[android-client]: https://github.com/rumaan/file.io-Android-Client
[async-ml-inference]: https://github.com/FerrariDG/async-ml-inference
[buenavista]: https://github.com/jwills/buenavista
[docker-gs-ping]: https://github.com/olliefr/docker-gs-ping
[examples-directory]: https://github.com/eli64s/readme-ai/tree/main/examples
[github-readme-quotes]: https://github.com/PiyushSuthar/github-readme-quotes
[litellm]: https://github.com/BerriAI/litellm
[minimal-todo]: https://github.com/avjinder/Minimal-Todo
[pyflink-poc]: https://github.com/eli64s/pyflink-poc
[readmeai]: https://github.com/eli64s/readme-ai
[readmeai-streamlit]: https://github.com/eli64s/readme-ai-streamlit
[show-and-tell]: https://github.com/eli64s/readme-ai/discussions/categories/show-and-tell
